package com.ylcm.sys.service;

import com.ylcm.sys.domain.AdTv;
import com.ylcm.sys.excel.model.AdTvImportDTO;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ylcm.sys.form.AdTvForm;

/**
 * <p>
 * 电视剧管理表 服务类
 * </p>
 *
 * @author admin
 * @since 2020-07-01
 */
public interface AdTvService extends IService<AdTv> {

	/**
	 *    根据电视剧名称获取信息
	 * @param name
	 * @return
	 */
	AdTv getByName(String name);
	
	/**
	 *     批量导入
	 * @param importDTOs
	 */
	String importBatch(List<AdTvImportDTO> importDTOs);
	
	/**
	 *    根据电视剧名称获取下拉条数
	 * @param name
	 * @return
	 */
	Integer getSelectTotalByName(String name);

	void updateByForm(AdTvForm adTvForm);

	/**
	 *    电视剧删除
	 * @param id
	 * @return
	 */
	String deleteById(Integer id);

	List<AdTv> getListByIds(List<Integer> ids);

}
